Home

Get specific sub-state of a smart contract

POST
https://zil.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the value(s) of a specific field or subset of the state of a deployed smart contract by its address. The field name and optional keys for nested state access can be specified.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | Array<string>>required

Parameters array: - smart contract address (string) - field name (string) - optional keys array (array of strings)

Show child attributes
One of
string
Array<string>

Response

200OK

Smart contract sub-state retrieved successfully

400Bad Request

Invalid request

500Internal Server Error

Server error